searchData={"items":[{"type":"module","title":"Mollie.Client","doc":"Mollie API client\n\nAdd the following to your `config.exs` file:\n\n    config :ueberauth, Ueberauth.Mollie,\n      api_key: \"your_api_key\"","ref":"Mollie.Client.html"},{"type":"function","title":"Mollie.Client.config/0","doc":"","ref":"Mollie.Client.html#config/0"},{"type":"function","title":"Mollie.Client.new/1","doc":"","ref":"Mollie.Client.html#new/1"},{"type":"module","title":"Mollie.Customers","doc":"Mollie Customers API\n\nSee: https://docs.mollie.com/reference/v2/customers-api/overview","ref":"Mollie.Customers.html"},{"type":"function","title":"Mollie.Customers.create_customer/1","doc":"Create a customer","ref":"Mollie.Customers.html#create_customer/1"},{"type":"function","title":"Mollie.Customers.delete_customer/1","doc":"Delete a customer","ref":"Mollie.Customers.html#delete_customer/1"},{"type":"function","title":"Mollie.Customers.get_customer/1","doc":"Get a customer","ref":"Mollie.Customers.html#get_customer/1"},{"type":"function","title":"Mollie.Customers.list_customers/1","doc":"Get all customers\n\nReturns a list of customers created.\n\nExample:\n    iex> Mollie.Customers.list_customers()\n    {:ok, %{...}}\n\nUse pagination to limit the number of customers returned. The API returns a maximum of 250 customers per page.\nUse the `from` parameter to specify the first customer that should be returned. The `limit` parameter can be\nused to limit the number of customers returned.\n\nExample\n    iex> client = Mollie.Client.new()\n    iex> Mollie.Customers.list_customers(%{from: \"cst_kEn1PlbGa\", limit: 5})\n    {:ok, %{...}}","ref":"Mollie.Customers.html#list_customers/1"},{"type":"function","title":"Mollie.Customers.update_customer/2","doc":"Update a customer","ref":"Mollie.Customers.html#update_customer/2"},{"type":"module","title":"Mollie.Payments","doc":"Convenience functions for working with Mollie Payments.\n\nsee: https://docs.mollie.com/reference/v2/payments-api/overview","ref":"Mollie.Payments.html"},{"type":"function","title":"Mollie.Payments.cancel_payment/1","doc":"Cancel Payment\n\nCancels a payment.\n\nExample:\n    iex> Mollie.Payments.cancel(\"tr_7UhSN1zuXS\")\n    {:ok, %{...}}","ref":"Mollie.Payments.html#cancel_payment/1"},{"type":"function","title":"Mollie.Payments.create_payment/1","doc":"Create Payment\n\nCreates a new payment.\n\nExample:\n    iex> Mollie.Payments.create(%{\n    iex>   amount: %{\n    iex>     currency: \"EUR\",\n    iex>     value: \"10.00\"\n    iex>   },\n    iex>   description: \"My first payment\",\n    iex>   redirectUrl: \"https://example.com/redirect\"\n    iex> })\n    {:ok, %{...}}","ref":"Mollie.Payments.html#create_payment/1"},{"type":"function","title":"Mollie.Payments.get_payment/1","doc":"Get Payment\n\nReturns a single payment by its ID.\n\nExample:\n    iex> Mollie.Payments.get(\"tr_7UhSN1zuXS\")\n    {:ok, %{...}}","ref":"Mollie.Payments.html#get_payment/1"},{"type":"function","title":"Mollie.Payments.list_payments/0","doc":"Get Payments\n\nReturns a list of payments created.\n\nExample:\n    iex> Mollie.Payments.list_payments()\n    {:ok, %{...}}","ref":"Mollie.Payments.html#list_payments/0"},{"type":"function","title":"Mollie.Payments.update_payment/2","doc":"Update Payment\n\nUpdates a payment.\n\nExample:\n    iex> Mollie.Payments.update(\"tr_7UhSN1zuXS\", %{\n    iex>   description: \"My updated payment\"\n    iex> })\n    {:ok, %{...}}","ref":"Mollie.Payments.html#update_payment/2"},{"type":"module","title":"Ueberauth.Strategy.Mollie","doc":"Provides an Ueberauth strategy for authenticating with Mollie.\n\n#","ref":"Ueberauth.Strategy.Mollie.html"},{"type":"module","title":"Setup - Ueberauth.Strategy.Mollie","doc":"Create an application in Mollie for you to use.\nRegister a new application at: [Dashboard](https://www.mollie.com/dashboard/developers/applications)\nand get the `client_id` and `client_secret`.\n\nInclude the provider in your configuration for Ueberauth:\n\n    config :ueberauth, Ueberauth,\n      providers: [\n        mollie: { Ueberauth.Strategy.Mollie, [\n          scopes: \"organizations.read payments.read\"\n        ] }\n      ]\n\nYou can use a tool like [localtunnel](https://theboroer.github.io/localtunnel-www/) to expose your local server to the internet for testing.\n\nThen include the configuration for Mollie:\n\n    config :ueberauth, Ueberauth.Strategy.Mollie.OAuth,\n      client_id: System.get_env(\"MOLLIE_CLIENT_ID\"),\n      client_secret: System.get_env(\"MOLLIE_CLIENT_SECRET\"),\n      redirect_uri: \"https://gqgh.localtunnel.me/auth/mollie/callback\" # <-- note that Mollie needs HTTPS for a callback URL scheme, even in test apps.\n\nIf you haven't already, create a pipeline and setup routes for your callback handler\n\n    pipeline :auth do\n      Ueberauth.plug \"/auth\"\n    end\n    scope \"/auth\" do\n      pipe_through [:browser, :auth]\n      get \"/:provider/callback\", AuthController, :callback\n    end\n\nCreate an endpoint for the callback where you will handle the\n`Ueberauth.Auth` struct:\n\n    defmodule MyApp.AuthController do\n      use MyApp.Web, :controller\n      def callback_phase(%{ assigns: %{ ueberauth_failure: fails } } = conn, _params) do\n        # do things with the failure\n      end\n      def callback_phase(%{ assigns: %{ ueberauth_auth: auth } } = conn, params) do\n        # do things with the auth\n      end\n    end\n\nYou can edit the behaviour of the Strategy by including some options when you\nregister your provider.\n\nTo set the `uid_field`:\n\n    config :ueberauth, Ueberauth,\n      providers: [\n        mollie: { Ueberauth.Strategy.Mollie, [uid_field: :email] } # Default is `:id`, a string in the form of `org_12345678`.\"\n      ]","ref":"Ueberauth.Strategy.Mollie.html#module-setup"},{"type":"module","title":"Usage - Ueberauth.Strategy.Mollie","doc":"Once you obtained a token, you may use the OAuth client directly:\n\n    Ueberauth.Strategy.Mollie.OAuth.get(\"/organizations/me\")\n\nSee the [Mollie API Docs](https://docs.mollie.com/index) for more information.","ref":"Ueberauth.Strategy.Mollie.html#module-usage"},{"type":"function","title":"Ueberauth.Strategy.Mollie.credentials/1","doc":"Includes the credentials from the Mollie Connect response.","ref":"Ueberauth.Strategy.Mollie.html#credentials/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.default_options/0","doc":"","ref":"Ueberauth.Strategy.Mollie.html#default_options/0"},{"type":"function","title":"Ueberauth.Strategy.Mollie.extra/1","doc":"Stores the raw information (including the token) obtained from the Mollie Connect\ncallback.","ref":"Ueberauth.Strategy.Mollie.html#extra/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.handle_cleanup!/1","doc":"Cleans up the private area of the connection used for passing the raw Mollie Connect\nresponse around during the callback.","ref":"Ueberauth.Strategy.Mollie.html#handle_cleanup!/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.handle_request!/1","doc":"Handles the initial redirect to the Mollie authentication page.","ref":"Ueberauth.Strategy.Mollie.html#handle_request!/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.info/1","doc":"Fetches the fields to populate the info section of the `Ueberauth.Auth`\nstruct.","ref":"Ueberauth.Strategy.Mollie.html#info/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.uid/1","doc":"Fetches the `:uid` field from the Mollie Connect response.\nThis defaults to the option `:uid_field` which in-turn defaults to `:id`","ref":"Ueberauth.Strategy.Mollie.html#uid/1"},{"type":"module","title":"Ueberauth.Strategy.Mollie.AuthCode","doc":"The Authorization Code Strategy.\n\nhttp://tools.ietf.org/html/rfc6749#section-1.3.1\n\nThe authorization code is obtained by using an authorization server\nas an intermediary between the client and resource owner.  Instead of\nrequesting authorization directly from the resource owner, the client\ndirects the resource owner to an authorization server (via its\nuser-agent as defined in [RFC2616]), which in turn directs the\nresource owner back to the client with the authorization code.\n\nBefore directing the resource owner back to the client with the\nauthorization code, the authorization server authenticates the\nresource owner and obtains authorization.  Because the resource owner\nonly authenticates with the authorization server, the resource\nowner's credentials are never shared with the client.\n\nThe authorization code provides a few important security benefits,\nsuch as the ability to authenticate the client, as well as the\ntransmission of the access token directly to the client without\npassing it through the resource owner's user-agent and potentially\nexposing it to others, including the resource owner.","ref":"Ueberauth.Strategy.Mollie.AuthCode.html"},{"type":"function","title":"Ueberauth.Strategy.Mollie.AuthCode.authorize_url/2","doc":"The authorization URL endpoint of the provider.\nparams additional query parameters for the URL","ref":"Ueberauth.Strategy.Mollie.AuthCode.html#authorize_url/2"},{"type":"function","title":"Ueberauth.Strategy.Mollie.AuthCode.get_token/3","doc":"Retrieve an access token given the specified validation code.","ref":"Ueberauth.Strategy.Mollie.AuthCode.html#get_token/3"},{"type":"function","title":"Ueberauth.Strategy.Mollie.AuthCode.refresh_auth_token/3","doc":"","ref":"Ueberauth.Strategy.Mollie.AuthCode.html#refresh_auth_token/3"},{"type":"module","title":"Ueberauth.Strategy.Mollie.OAuth","doc":"An implementation of OAuth2 for Mollie.\nTo add your `:client_id` and `:client_secret` include these values in your\nconfiguration:\n    config :ueberauth, Ueberauth.Strategy.Mollie.OAuth,\n      client_id: System.get_env(\"MOLLIE_CLIENT_ID\"),\n      client_secret: System.get_env(\"MOLLIE_CLIENT_SECRET\"),\n      redirect_uri: \"https://example.com/auth/mollie/callback\"","ref":"Ueberauth.Strategy.Mollie.OAuth.html"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.authorize_url/2","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#authorize_url/2"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.authorize_url!/2","doc":"Provides the authorize url for the request phase of Ueberauth.\nNo need to call this usually.","ref":"Ueberauth.Strategy.Mollie.OAuth.html#authorize_url!/2"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.client/1","doc":"Construct a client for requests to Mollie.\nOptionally include any OAuth2 options here to be merged with the defaults:\n    Ueberauth.Strategy.Mollie.OAuth.client(\n      redirect_uri: \"http://localhost:4000/auth/mollie/callback\"\n    )\nThis will be setup automatically for you in `Ueberauth.Strategy.Mollie`.\nThese options are only useful for usage outside the normal callback phase of\nUeberauth.","ref":"Ueberauth.Strategy.Mollie.OAuth.html#client/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.delete/4","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#delete/4"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.get/4","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#get/4"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.get_access_token/2","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#get_access_token/2"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.get_token/3","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#get_token/3"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.get_token!/2","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#get_token!/2"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.parse_response/1","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#parse_response/1"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.patch/5","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#patch/5"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.post/5","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#post/5"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.put/5","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#put/5"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.refresh_auth_token/3","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#refresh_auth_token/3"},{"type":"function","title":"Ueberauth.Strategy.Mollie.OAuth.refresh_auth_token!/3","doc":"","ref":"Ueberauth.Strategy.Mollie.OAuth.html#refresh_auth_token!/3"},{"type":"module","title":"UeberauthMollie","doc":"Mollie auth strategy for `Ueberauth`.","ref":"UeberauthMollie.html"},{"type":"function","title":"UeberauthMollie.delete/2","doc":"","ref":"UeberauthMollie.html#delete/2"},{"type":"function","title":"UeberauthMollie.get/2","doc":"","ref":"UeberauthMollie.html#get/2"},{"type":"function","title":"UeberauthMollie.patch/3","doc":"","ref":"UeberauthMollie.html#patch/3"},{"type":"function","title":"UeberauthMollie.post/3","doc":"","ref":"UeberauthMollie.html#post/3"},{"type":"function","title":"UeberauthMollie.put/3","doc":"","ref":"UeberauthMollie.html#put/3"},{"type":"function","title":"UeberauthMollie.response/1","doc":"","ref":"UeberauthMollie.html#response/1"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\n## [1.2.0](https://github.com/wearethefoos/ueberauth_mollie/compare/v1.1.0...v1.2.0) (2024-04-05)\n\n\n#","ref":"changelog.html"},{"type":"extras","title":"Features - Changelog","doc":"* **Release:** Implement CI flow ([9d0990b](https://github.com/wearethefoos/ueberauth_mollie/commit/9d0990b770ea9995f910551216d1857b7b42b441))\n* **Release:** Implement release automation ([debe846](https://github.com/wearethefoos/ueberauth_mollie/commit/debe846451262be2a959dc8ab89c84f1a194b1d9))\n\n## [1.1.0](https://github.com/wearethefoos/ueberauth_mollie/compare/v1.0.0...v1.1.0) (2024-04-05)\n\n\n#","ref":"changelog.html#features"},{"type":"extras","title":"Features - Changelog","doc":"* **API Client:** Payments and customers endpoints ([5dee30f](https://github.com/wearethefoos/ueberauth_mollie/commit/5dee30f981876302d3df40f09d62ba1296c80dc2))","ref":"changelog.html#features"},{"type":"extras","title":"1.0.0 (2024-02-29) - Changelog","doc":"#","ref":"changelog.html#1-0-0-2024-02-29"},{"type":"extras","title":"Features - Changelog","doc":"* **Mollie:** Easier way to interact with the Mollie API ([5eebc76](https://github.com/wearethefoos/ueberauth_mollie/commit/5eebc7681f8f6b93ab94ef29b601c284fa3720da))\n* **Mollie:** Initial version ([8af7f2d](https://github.com/wearethefoos/ueberauth_mollie/commit/8af7f2d175ee8e0ff3237ef409392375a9c38007))\n\n\n#","ref":"changelog.html#features"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **scope:** Sane default and made configurable ([be2a2be](https://github.com/wearethefoos/ueberauth_mollie/commit/be2a2bee7775dc5c9a40c0640c9dbecab71da3cb))\n* **tokens:** Fix refresh token functionality ([93064a0](https://github.com/wearethefoos/ueberauth_mollie/commit/93064a0c9c618425140a7d2501162840e214bf3e))","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Contributing","doc":"# Contributing to Ueberauth Mollie","ref":"contributing.html"},{"type":"extras","title":"Pull Requests Welcome - Contributing","doc":"1. Fork `ueberauth_mollie`\n2. Create a topic branch\n3. Make logically-grouped commits with clear commit messages\n4. Push commits to your fork\n5. Open a pull request against `ueberauth_mollie/main`","ref":"contributing.html#pull-requests-welcome"},{"type":"extras","title":"Issues - Contributing","doc":"If you believe there to be a bug, please provide the maintainers with enough\ndetail to reproduce or a link to an app exhibiting unexpected behavior. For\nhelp with Ueberauth, please start with Stack Overflow.","ref":"contributing.html#issues"},{"type":"extras","title":"License","doc":"The MIT License (MIT)\n\nCopyright (c) 2024 Wouter de Vos\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# UeberauthMollie\n\n> Ueberauth Strategy for [Mollie](https://www.mollie.com/).","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"The package can be installed by adding `ueberauth_mollie` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ueberauth_mollie, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAdd the Strategy to your Ueberauth strategies:\n\n```elixir\n# config/config.exs\nconfig :ueberauth, Ueberauth,\n  providers: [\n    mollie: {Ueberauth.Strategy.Mollie, [\n      scopes: \"organizations.read payments.read\"\n    ]}\n  ]\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Overview","doc":"Start by registering your own Mollie Apps in the [Dashboard](https://www.mollie.com/dashboard/developers/applications).\n\nUse a tool like [localtunnel](https://theboroer.github.io/localtunnel-www/) to expose your local development environment to the internet.\n\nCreate two new apps (one for dev and one for prod) and set the redirect URL to `https://gqgh.localtunnel.me/auth/mollie/callback` for development, and `https://example.com/auth/mollie/callback` for production.\n\n> Take note of the Client ID and Client Secret, as you will need them for the next steps.\n\n#","ref":"readme.html#configuration"},{"type":"extras","title":"Development - Overview","doc":"Configure your dev env:\n\n```elixir\n# config/dev.exs\nconfig :ueberauth, Ueberauth.Strategy.Mollie.OAuth,\n  client_id: \"app_123456\",\n  client_secret: \"abcd123456\",\n  redirect_uri: \"https://gqgh.localtunnel.me/auth/mollie/callback\" # <-- note that Mollie needs HTTPS for a callback URL scheme, even in test apps.\n```\n\n#","ref":"readme.html#development"},{"type":"extras","title":"Production - Overview","doc":"Configure your prod env:\n\n```elixir\n# config/prod.exs\nconfig :ueberauth, Ueberauth.Strategy.Mollie.OAuth,\n  client_id: System.get_env(\"MOLLIE_CLIENT_ID\"),\n  client_secret: System.get_env(\"MOLLIE_CLIENT_SECRET\"),\n  redirect_uri: \"https://example.com/auth/mollie/callback\"\n```","ref":"readme.html#production"},{"type":"extras","title":"Usage - Overview","doc":"Once you obtained a token, you may use the OAuth client directly:\n\n```elixir\nUeberauth.Mollie.get(token, \"/organizations/me\")\n```\n\nSee the [Mollie API Docs](https://docs.mollie.com/index) for more information. Note that the provided client knows about the `/v2` prefix already.","ref":"readme.html#usage"},{"type":"extras","title":"Further Docs - Overview","doc":"Check out the [documentation](https://hexdocs.pm/ueberauth_mollie). And specifically the `Ueberauth.Strategy.Mollie` module.","ref":"readme.html#further-docs"},{"type":"extras","title":"Disclaimer - Overview","doc":"This library is in no way related to or supported by the company or team behind Mollie.","ref":"readme.html#disclaimer"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}